Mailinglist Archive: opensuse-security-announce (95 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:2226-1: moderate: Security update for SDL2
openSUSE Security Update: Security update for SDL2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:2226-1
Rating: moderate
References: #1141844 #1142031
Cross-References: CVE-2019-13616 CVE-2019-13626
Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for SDL2 fixes the following issues:

Security issues fixed:

- CVE-2019-13616: Fixed heap-based buffer over-read in BlitNtoN in
video/SDL_blit_N.c (bsc#1141844).
- CVE-2019-13626: Fixed integer overflow in IMA_ADPCM_decode() in
audio/SDL_wave.c (bsc#1142031).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-2226=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

SDL2-debugsource-2.0.8-lp151.4.6.1
libSDL2-2_0-0-2.0.8-lp151.4.6.1
libSDL2-2_0-0-debuginfo-2.0.8-lp151.4.6.1
libSDL2-devel-2.0.8-lp151.4.6.1

- openSUSE Leap 15.1 (x86_64):

libSDL2-2_0-0-32bit-2.0.8-lp151.4.6.1
libSDL2-2_0-0-32bit-debuginfo-2.0.8-lp151.4.6.1
libSDL2-devel-32bit-2.0.8-lp151.4.6.1


References:

https://www.suse.com/security/cve/CVE-2019-13616.html
https://www.suse.com/security/cve/CVE-2019-13626.html
https://bugzilla.suse.com/1141844
https://bugzilla.suse.com/1142031

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages